//+------------------------------------------------------------------+
//|                                                  IND Inverse.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, ..."
#property link      "http://www.forex-tsd.com/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Maroon

double Buffer[];
double Buffer0[];

extern int iPeriod = 1;
extern int cbars   = 1000;

int init(){
    IndicatorBuffers(2);
    IndicatorDigits(Digits+2);
    SetIndexStyle(0,DRAW_LINE);
    SetIndexEmptyValue(0,0);
    
    SetIndexBuffer(0,Buffer);
    SetIndexBuffer(1,Buffer0);
//----
    return(0);
}

int start(){
   int limit = cbars;
   if(limit==0) limit=Bars-45;
   for(int i=limit; i>=0; i--){
      double HD = High[Highest(NULL,0,MODE_HIGH,(iPeriod* 20),i)];
      double LD = Low[Lowest(NULL,0,MODE_LOW,(iPeriod* 20),i)];
      double amplitude = HD - LD;                
      Buffer0[i]= ((Close[i]-(HD-(amplitude/2)))/amplitude) * iPeriod;
      
      Buffer[i]= 
         -0.02232324*Buffer0[i+0] 
         +0.02268676*Buffer0[i+1] 
         +0.08389067*Buffer0[i+2] 
         +0.14630380*Buffer0[i+3] 
         +0.19282649*Buffer0[i+4] 
         +0.21002638*Buffer0[i+5] 
         +0.19282649*Buffer0[i+6] 
         +0.14630380*Buffer0[i+7] 
         +0.08389067*Buffer0[i+8] 
         +0.02268676*Buffer0[i+9] 
         -0.02232324*Buffer0[i+10] 
         -0.04296564*Buffer0[i+11] 
         -0.03980614*Buffer0[i+12] 
         -0.02082171*Buffer0[i+13] 
         +0.00243636*Buffer0[i+14] 
         +0.01950580*Buffer0[i+15] 
         +0.02460929*Buffer0[i+16] 
         +0.01799295*Buffer0[i+17] 
         +0.00470540*Buffer0[i+18] 
         -0.00831985*Buffer0[i+19] 
         -0.01544722*Buffer0[i+20] 
         -0.01456262*Buffer0[i+21] 
         -0.00733980*Buffer0[i+22] 
         +0.00201852*Buffer0[i+23] 
         +0.00902504*Buffer0[i+24] 
         +0.01093067*Buffer0[i+25] 
         +0.00766099*Buffer0[i+26] 
         +0.00145478*Buffer0[i+27] 
         -0.00447175*Buffer0[i+28] 
         -0.00750446*Buffer0[i+29] 
         -0.00671646*Buffer0[i+30] 
         -0.00304016*Buffer0[i+31] 
         +0.00143433*Buffer0[i+32] 
         +0.00457475*Buffer0[i+33] 
         +0.00517589*Buffer0[i+34] 
         +0.00336708*Buffer0[i+35] 
         +0.00034406*Buffer0[i+36] 
         -0.00233637*Buffer0[i+37] 
         -0.00352280*Buffer0[i+38] 
         -0.00293522*Buffer0[i+39] 
         -0.00114249*Buffer0[i+40] 
         +0.00083536*Buffer0[i+41] 
         +0.00215524*Buffer0[i+42] 
         +0.00604133*Buffer0[i+43] 
         -0.00013046*Buffer0[i+44]; 
      
      }
   return(0);
  }
//+------------------------------------------------------------------+